Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network250.32.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
250.32.0.0
Broadcast address
250.63.255.255
First usable
250.32.0.1
Last usable
250.63.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FA200000 · Integer 4196401152 to 4198498303
Reverse DNS zones
32.250.in-addr.arpa
33.250.in-addr.arpa
34.250.in-addr.arpa
35.250.in-addr.arpa
36.250.in-addr.arpa
37.250.in-addr.arpa
38.250.in-addr.arpa
39.250.in-addr.arpa
40.250.in-addr.arpa
41.250.in-addr.arpa
42.250.in-addr.arpa
43.250.in-addr.arpa
44.250.in-addr.arpa
45.250.in-addr.arpa
46.250.in-addr.arpa
47.250.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111010.00100000.00000000.00000000250.32.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11111010.00100000.00000000.00000000250.32.0.0
Broadcast11111010.00111111.11111111.11111111250.63.255.255
Split into smaller subnets/21

250.32.0.0/11 makes 1,024 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1250.32.0.0/21250.32.0.1 to 250.32.7.254250.32.7.2552,046
2250.32.8.0/21250.32.8.1 to 250.32.15.254250.32.15.2552,046
3250.32.16.0/21250.32.16.1 to 250.32.23.254250.32.23.2552,046
4250.32.24.0/21250.32.24.1 to 250.32.31.254250.32.31.2552,046
5250.32.32.0/21250.32.32.1 to 250.32.39.254250.32.39.2552,046
6250.32.40.0/21250.32.40.1 to 250.32.47.254250.32.47.2552,046
7250.32.48.0/21250.32.48.1 to 250.32.55.254250.32.55.2552,046
8250.32.56.0/21250.32.56.1 to 250.32.63.254250.32.63.2552,046
9250.32.64.0/21250.32.64.1 to 250.32.71.254250.32.71.2552,046
10250.32.72.0/21250.32.72.1 to 250.32.79.254250.32.79.2552,046
11250.32.80.0/21250.32.80.1 to 250.32.87.254250.32.87.2552,046
12250.32.88.0/21250.32.88.1 to 250.32.95.254250.32.95.2552,046
13250.32.96.0/21250.32.96.1 to 250.32.103.254250.32.103.2552,046
14250.32.104.0/21250.32.104.1 to 250.32.111.254250.32.111.2552,046
15250.32.112.0/21250.32.112.1 to 250.32.119.254250.32.119.2552,046
16250.32.120.0/21250.32.120.1 to 250.32.127.254250.32.127.2552,046
17250.32.128.0/21250.32.128.1 to 250.32.135.254250.32.135.2552,046
18250.32.136.0/21250.32.136.1 to 250.32.143.254250.32.143.2552,046
19250.32.144.0/21250.32.144.1 to 250.32.151.254250.32.151.2552,046
20250.32.152.0/21250.32.152.1 to 250.32.159.254250.32.159.2552,046
21250.32.160.0/21250.32.160.1 to 250.32.167.254250.32.167.2552,046
22250.32.168.0/21250.32.168.1 to 250.32.175.254250.32.175.2552,046
23250.32.176.0/21250.32.176.1 to 250.32.183.254250.32.183.2552,046
24250.32.184.0/21250.32.184.1 to 250.32.191.254250.32.191.2552,046
25250.32.192.0/21250.32.192.1 to 250.32.199.254250.32.199.2552,046
26250.32.200.0/21250.32.200.1 to 250.32.207.254250.32.207.2552,046
27250.32.208.0/21250.32.208.1 to 250.32.215.254250.32.215.2552,046
28250.32.216.0/21250.32.216.1 to 250.32.223.254250.32.223.2552,046
29250.32.224.0/21250.32.224.1 to 250.32.231.254250.32.231.2552,046
30250.32.232.0/21250.32.232.1 to 250.32.239.254250.32.239.2552,046
31250.32.240.0/21250.32.240.1 to 250.32.247.254250.32.247.2552,046
32250.32.248.0/21250.32.248.1 to 250.32.255.254250.32.255.2552,046
33250.33.0.0/21250.33.0.1 to 250.33.7.254250.33.7.2552,046
34250.33.8.0/21250.33.8.1 to 250.33.15.254250.33.15.2552,046
35250.33.16.0/21250.33.16.1 to 250.33.23.254250.33.23.2552,046
36250.33.24.0/21250.33.24.1 to 250.33.31.254250.33.31.2552,046
37250.33.32.0/21250.33.32.1 to 250.33.39.254250.33.39.2552,046
38250.33.40.0/21250.33.40.1 to 250.33.47.254250.33.47.2552,046
39250.33.48.0/21250.33.48.1 to 250.33.55.254250.33.55.2552,046
40250.33.56.0/21250.33.56.1 to 250.33.63.254250.33.63.2552,046
41250.33.64.0/21250.33.64.1 to 250.33.71.254250.33.71.2552,046
42250.33.72.0/21250.33.72.1 to 250.33.79.254250.33.79.2552,046
43250.33.80.0/21250.33.80.1 to 250.33.87.254250.33.87.2552,046
44250.33.88.0/21250.33.88.1 to 250.33.95.254250.33.95.2552,046
45250.33.96.0/21250.33.96.1 to 250.33.103.254250.33.103.2552,046
46250.33.104.0/21250.33.104.1 to 250.33.111.254250.33.111.2552,046
47250.33.112.0/21250.33.112.1 to 250.33.119.254250.33.119.2552,046
48250.33.120.0/21250.33.120.1 to 250.33.127.254250.33.127.2552,046
49250.33.128.0/21250.33.128.1 to 250.33.135.254250.33.135.2552,046
50250.33.136.0/21250.33.136.1 to 250.33.143.254250.33.143.2552,046
51250.33.144.0/21250.33.144.1 to 250.33.151.254250.33.151.2552,046
52250.33.152.0/21250.33.152.1 to 250.33.159.254250.33.159.2552,046
53250.33.160.0/21250.33.160.1 to 250.33.167.254250.33.167.2552,046
54250.33.168.0/21250.33.168.1 to 250.33.175.254250.33.175.2552,046
55250.33.176.0/21250.33.176.1 to 250.33.183.254250.33.183.2552,046
56250.33.184.0/21250.33.184.1 to 250.33.191.254250.33.191.2552,046
57250.33.192.0/21250.33.192.1 to 250.33.199.254250.33.199.2552,046
58250.33.200.0/21250.33.200.1 to 250.33.207.254250.33.207.2552,046
59250.33.208.0/21250.33.208.1 to 250.33.215.254250.33.215.2552,046
60250.33.216.0/21250.33.216.1 to 250.33.223.254250.33.223.2552,046
61250.33.224.0/21250.33.224.1 to 250.33.231.254250.33.231.2552,046
62250.33.232.0/21250.33.232.1 to 250.33.239.254250.33.239.2552,046
63250.33.240.0/21250.33.240.1 to 250.33.247.254250.33.247.2552,046
64250.33.248.0/21250.33.248.1 to 250.33.255.254250.33.255.2552,046
65250.34.0.0/21250.34.0.1 to 250.34.7.254250.34.7.2552,046
66250.34.8.0/21250.34.8.1 to 250.34.15.254250.34.15.2552,046
67250.34.16.0/21250.34.16.1 to 250.34.23.254250.34.23.2552,046
68250.34.24.0/21250.34.24.1 to 250.34.31.254250.34.31.2552,046
69250.34.32.0/21250.34.32.1 to 250.34.39.254250.34.39.2552,046
70250.34.40.0/21250.34.40.1 to 250.34.47.254250.34.47.2552,046
71250.34.48.0/21250.34.48.1 to 250.34.55.254250.34.55.2552,046
72250.34.56.0/21250.34.56.1 to 250.34.63.254250.34.63.2552,046
73250.34.64.0/21250.34.64.1 to 250.34.71.254250.34.71.2552,046
74250.34.72.0/21250.34.72.1 to 250.34.79.254250.34.79.2552,046
75250.34.80.0/21250.34.80.1 to 250.34.87.254250.34.87.2552,046
76250.34.88.0/21250.34.88.1 to 250.34.95.254250.34.95.2552,046
77250.34.96.0/21250.34.96.1 to 250.34.103.254250.34.103.2552,046
78250.34.104.0/21250.34.104.1 to 250.34.111.254250.34.111.2552,046
79250.34.112.0/21250.34.112.1 to 250.34.119.254250.34.119.2552,046
80250.34.120.0/21250.34.120.1 to 250.34.127.254250.34.127.2552,046
81250.34.128.0/21250.34.128.1 to 250.34.135.254250.34.135.2552,046
82250.34.136.0/21250.34.136.1 to 250.34.143.254250.34.143.2552,046
83250.34.144.0/21250.34.144.1 to 250.34.151.254250.34.151.2552,046
84250.34.152.0/21250.34.152.1 to 250.34.159.254250.34.159.2552,046
85250.34.160.0/21250.34.160.1 to 250.34.167.254250.34.167.2552,046
86250.34.168.0/21250.34.168.1 to 250.34.175.254250.34.175.2552,046
87250.34.176.0/21250.34.176.1 to 250.34.183.254250.34.183.2552,046
88250.34.184.0/21250.34.184.1 to 250.34.191.254250.34.191.2552,046
89250.34.192.0/21250.34.192.1 to 250.34.199.254250.34.199.2552,046
90250.34.200.0/21250.34.200.1 to 250.34.207.254250.34.207.2552,046
91250.34.208.0/21250.34.208.1 to 250.34.215.254250.34.215.2552,046
92250.34.216.0/21250.34.216.1 to 250.34.223.254250.34.223.2552,046
93250.34.224.0/21250.34.224.1 to 250.34.231.254250.34.231.2552,046
94250.34.232.0/21250.34.232.1 to 250.34.239.254250.34.239.2552,046
95250.34.240.0/21250.34.240.1 to 250.34.247.254250.34.247.2552,046
96250.34.248.0/21250.34.248.1 to 250.34.255.254250.34.255.2552,046
97250.35.0.0/21250.35.0.1 to 250.35.7.254250.35.7.2552,046
98250.35.8.0/21250.35.8.1 to 250.35.15.254250.35.15.2552,046
99250.35.16.0/21250.35.16.1 to 250.35.23.254250.35.23.2552,046
100250.35.24.0/21250.35.24.1 to 250.35.31.254250.35.31.2552,046
101250.35.32.0/21250.35.32.1 to 250.35.39.254250.35.39.2552,046
102250.35.40.0/21250.35.40.1 to 250.35.47.254250.35.47.2552,046
103250.35.48.0/21250.35.48.1 to 250.35.55.254250.35.55.2552,046
104250.35.56.0/21250.35.56.1 to 250.35.63.254250.35.63.2552,046
105250.35.64.0/21250.35.64.1 to 250.35.71.254250.35.71.2552,046
106250.35.72.0/21250.35.72.1 to 250.35.79.254250.35.79.2552,046
107250.35.80.0/21250.35.80.1 to 250.35.87.254250.35.87.2552,046
108250.35.88.0/21250.35.88.1 to 250.35.95.254250.35.95.2552,046
109250.35.96.0/21250.35.96.1 to 250.35.103.254250.35.103.2552,046
110250.35.104.0/21250.35.104.1 to 250.35.111.254250.35.111.2552,046
111250.35.112.0/21250.35.112.1 to 250.35.119.254250.35.119.2552,046
112250.35.120.0/21250.35.120.1 to 250.35.127.254250.35.127.2552,046
113250.35.128.0/21250.35.128.1 to 250.35.135.254250.35.135.2552,046
114250.35.136.0/21250.35.136.1 to 250.35.143.254250.35.143.2552,046
115250.35.144.0/21250.35.144.1 to 250.35.151.254250.35.151.2552,046
116250.35.152.0/21250.35.152.1 to 250.35.159.254250.35.159.2552,046
117250.35.160.0/21250.35.160.1 to 250.35.167.254250.35.167.2552,046
118250.35.168.0/21250.35.168.1 to 250.35.175.254250.35.175.2552,046
119250.35.176.0/21250.35.176.1 to 250.35.183.254250.35.183.2552,046
120250.35.184.0/21250.35.184.1 to 250.35.191.254250.35.191.2552,046
121250.35.192.0/21250.35.192.1 to 250.35.199.254250.35.199.2552,046
122250.35.200.0/21250.35.200.1 to 250.35.207.254250.35.207.2552,046
123250.35.208.0/21250.35.208.1 to 250.35.215.254250.35.215.2552,046
124250.35.216.0/21250.35.216.1 to 250.35.223.254250.35.223.2552,046
125250.35.224.0/21250.35.224.1 to 250.35.231.254250.35.231.2552,046
126250.35.232.0/21250.35.232.1 to 250.35.239.254250.35.239.2552,046
127250.35.240.0/21250.35.240.1 to 250.35.247.254250.35.247.2552,046
128250.35.248.0/21250.35.248.1 to 250.35.255.254250.35.255.2552,046
129250.36.0.0/21250.36.0.1 to 250.36.7.254250.36.7.2552,046
130250.36.8.0/21250.36.8.1 to 250.36.15.254250.36.15.2552,046
131250.36.16.0/21250.36.16.1 to 250.36.23.254250.36.23.2552,046
132250.36.24.0/21250.36.24.1 to 250.36.31.254250.36.31.2552,046
133250.36.32.0/21250.36.32.1 to 250.36.39.254250.36.39.2552,046
134250.36.40.0/21250.36.40.1 to 250.36.47.254250.36.47.2552,046
135250.36.48.0/21250.36.48.1 to 250.36.55.254250.36.55.2552,046
136250.36.56.0/21250.36.56.1 to 250.36.63.254250.36.63.2552,046
137250.36.64.0/21250.36.64.1 to 250.36.71.254250.36.71.2552,046
138250.36.72.0/21250.36.72.1 to 250.36.79.254250.36.79.2552,046
139250.36.80.0/21250.36.80.1 to 250.36.87.254250.36.87.2552,046
140250.36.88.0/21250.36.88.1 to 250.36.95.254250.36.95.2552,046
141250.36.96.0/21250.36.96.1 to 250.36.103.254250.36.103.2552,046
142250.36.104.0/21250.36.104.1 to 250.36.111.254250.36.111.2552,046
143250.36.112.0/21250.36.112.1 to 250.36.119.254250.36.119.2552,046
144250.36.120.0/21250.36.120.1 to 250.36.127.254250.36.127.2552,046
145250.36.128.0/21250.36.128.1 to 250.36.135.254250.36.135.2552,046
146250.36.136.0/21250.36.136.1 to 250.36.143.254250.36.143.2552,046
147250.36.144.0/21250.36.144.1 to 250.36.151.254250.36.151.2552,046
148250.36.152.0/21250.36.152.1 to 250.36.159.254250.36.159.2552,046
149250.36.160.0/21250.36.160.1 to 250.36.167.254250.36.167.2552,046
150250.36.168.0/21250.36.168.1 to 250.36.175.254250.36.175.2552,046
151250.36.176.0/21250.36.176.1 to 250.36.183.254250.36.183.2552,046
152250.36.184.0/21250.36.184.1 to 250.36.191.254250.36.191.2552,046
153250.36.192.0/21250.36.192.1 to 250.36.199.254250.36.199.2552,046
154250.36.200.0/21250.36.200.1 to 250.36.207.254250.36.207.2552,046
155250.36.208.0/21250.36.208.1 to 250.36.215.254250.36.215.2552,046
156250.36.216.0/21250.36.216.1 to 250.36.223.254250.36.223.2552,046
157250.36.224.0/21250.36.224.1 to 250.36.231.254250.36.231.2552,046
158250.36.232.0/21250.36.232.1 to 250.36.239.254250.36.239.2552,046
159250.36.240.0/21250.36.240.1 to 250.36.247.254250.36.247.2552,046
160250.36.248.0/21250.36.248.1 to 250.36.255.254250.36.255.2552,046
161250.37.0.0/21250.37.0.1 to 250.37.7.254250.37.7.2552,046
162250.37.8.0/21250.37.8.1 to 250.37.15.254250.37.15.2552,046
163250.37.16.0/21250.37.16.1 to 250.37.23.254250.37.23.2552,046
164250.37.24.0/21250.37.24.1 to 250.37.31.254250.37.31.2552,046
165250.37.32.0/21250.37.32.1 to 250.37.39.254250.37.39.2552,046
166250.37.40.0/21250.37.40.1 to 250.37.47.254250.37.47.2552,046
167250.37.48.0/21250.37.48.1 to 250.37.55.254250.37.55.2552,046
168250.37.56.0/21250.37.56.1 to 250.37.63.254250.37.63.2552,046
169250.37.64.0/21250.37.64.1 to 250.37.71.254250.37.71.2552,046
170250.37.72.0/21250.37.72.1 to 250.37.79.254250.37.79.2552,046
171250.37.80.0/21250.37.80.1 to 250.37.87.254250.37.87.2552,046
172250.37.88.0/21250.37.88.1 to 250.37.95.254250.37.95.2552,046
173250.37.96.0/21250.37.96.1 to 250.37.103.254250.37.103.2552,046
174250.37.104.0/21250.37.104.1 to 250.37.111.254250.37.111.2552,046
175250.37.112.0/21250.37.112.1 to 250.37.119.254250.37.119.2552,046
176250.37.120.0/21250.37.120.1 to 250.37.127.254250.37.127.2552,046
177250.37.128.0/21250.37.128.1 to 250.37.135.254250.37.135.2552,046
178250.37.136.0/21250.37.136.1 to 250.37.143.254250.37.143.2552,046
179250.37.144.0/21250.37.144.1 to 250.37.151.254250.37.151.2552,046
180250.37.152.0/21250.37.152.1 to 250.37.159.254250.37.159.2552,046
181250.37.160.0/21250.37.160.1 to 250.37.167.254250.37.167.2552,046
182250.37.168.0/21250.37.168.1 to 250.37.175.254250.37.175.2552,046
183250.37.176.0/21250.37.176.1 to 250.37.183.254250.37.183.2552,046
184250.37.184.0/21250.37.184.1 to 250.37.191.254250.37.191.2552,046
185250.37.192.0/21250.37.192.1 to 250.37.199.254250.37.199.2552,046
186250.37.200.0/21250.37.200.1 to 250.37.207.254250.37.207.2552,046
187250.37.208.0/21250.37.208.1 to 250.37.215.254250.37.215.2552,046
188250.37.216.0/21250.37.216.1 to 250.37.223.254250.37.223.2552,046
189250.37.224.0/21250.37.224.1 to 250.37.231.254250.37.231.2552,046
190250.37.232.0/21250.37.232.1 to 250.37.239.254250.37.239.2552,046
191250.37.240.0/21250.37.240.1 to 250.37.247.254250.37.247.2552,046
192250.37.248.0/21250.37.248.1 to 250.37.255.254250.37.255.2552,046
193250.38.0.0/21250.38.0.1 to 250.38.7.254250.38.7.2552,046
194250.38.8.0/21250.38.8.1 to 250.38.15.254250.38.15.2552,046
195250.38.16.0/21250.38.16.1 to 250.38.23.254250.38.23.2552,046
196250.38.24.0/21250.38.24.1 to 250.38.31.254250.38.31.2552,046
197250.38.32.0/21250.38.32.1 to 250.38.39.254250.38.39.2552,046
198250.38.40.0/21250.38.40.1 to 250.38.47.254250.38.47.2552,046
199250.38.48.0/21250.38.48.1 to 250.38.55.254250.38.55.2552,046
200250.38.56.0/21250.38.56.1 to 250.38.63.254250.38.63.2552,046
201250.38.64.0/21250.38.64.1 to 250.38.71.254250.38.71.2552,046
202250.38.72.0/21250.38.72.1 to 250.38.79.254250.38.79.2552,046
203250.38.80.0/21250.38.80.1 to 250.38.87.254250.38.87.2552,046
204250.38.88.0/21250.38.88.1 to 250.38.95.254250.38.95.2552,046
205250.38.96.0/21250.38.96.1 to 250.38.103.254250.38.103.2552,046
206250.38.104.0/21250.38.104.1 to 250.38.111.254250.38.111.2552,046
207250.38.112.0/21250.38.112.1 to 250.38.119.254250.38.119.2552,046
208250.38.120.0/21250.38.120.1 to 250.38.127.254250.38.127.2552,046
209250.38.128.0/21250.38.128.1 to 250.38.135.254250.38.135.2552,046
210250.38.136.0/21250.38.136.1 to 250.38.143.254250.38.143.2552,046
211250.38.144.0/21250.38.144.1 to 250.38.151.254250.38.151.2552,046
212250.38.152.0/21250.38.152.1 to 250.38.159.254250.38.159.2552,046
213250.38.160.0/21250.38.160.1 to 250.38.167.254250.38.167.2552,046
214250.38.168.0/21250.38.168.1 to 250.38.175.254250.38.175.2552,046
215250.38.176.0/21250.38.176.1 to 250.38.183.254250.38.183.2552,046
216250.38.184.0/21250.38.184.1 to 250.38.191.254250.38.191.2552,046
217250.38.192.0/21250.38.192.1 to 250.38.199.254250.38.199.2552,046
218250.38.200.0/21250.38.200.1 to 250.38.207.254250.38.207.2552,046
219250.38.208.0/21250.38.208.1 to 250.38.215.254250.38.215.2552,046
220250.38.216.0/21250.38.216.1 to 250.38.223.254250.38.223.2552,046
221250.38.224.0/21250.38.224.1 to 250.38.231.254250.38.231.2552,046
222250.38.232.0/21250.38.232.1 to 250.38.239.254250.38.239.2552,046
223250.38.240.0/21250.38.240.1 to 250.38.247.254250.38.247.2552,046
224250.38.248.0/21250.38.248.1 to 250.38.255.254250.38.255.2552,046
225250.39.0.0/21250.39.0.1 to 250.39.7.254250.39.7.2552,046
226250.39.8.0/21250.39.8.1 to 250.39.15.254250.39.15.2552,046
227250.39.16.0/21250.39.16.1 to 250.39.23.254250.39.23.2552,046
228250.39.24.0/21250.39.24.1 to 250.39.31.254250.39.31.2552,046
229250.39.32.0/21250.39.32.1 to 250.39.39.254250.39.39.2552,046
230250.39.40.0/21250.39.40.1 to 250.39.47.254250.39.47.2552,046
231250.39.48.0/21250.39.48.1 to 250.39.55.254250.39.55.2552,046
232250.39.56.0/21250.39.56.1 to 250.39.63.254250.39.63.2552,046
233250.39.64.0/21250.39.64.1 to 250.39.71.254250.39.71.2552,046
234250.39.72.0/21250.39.72.1 to 250.39.79.254250.39.79.2552,046
235250.39.80.0/21250.39.80.1 to 250.39.87.254250.39.87.2552,046
236250.39.88.0/21250.39.88.1 to 250.39.95.254250.39.95.2552,046
237250.39.96.0/21250.39.96.1 to 250.39.103.254250.39.103.2552,046
238250.39.104.0/21250.39.104.1 to 250.39.111.254250.39.111.2552,046
239250.39.112.0/21250.39.112.1 to 250.39.119.254250.39.119.2552,046
240250.39.120.0/21250.39.120.1 to 250.39.127.254250.39.127.2552,046
241250.39.128.0/21250.39.128.1 to 250.39.135.254250.39.135.2552,046
242250.39.136.0/21250.39.136.1 to 250.39.143.254250.39.143.2552,046
243250.39.144.0/21250.39.144.1 to 250.39.151.254250.39.151.2552,046
244250.39.152.0/21250.39.152.1 to 250.39.159.254250.39.159.2552,046
245250.39.160.0/21250.39.160.1 to 250.39.167.254250.39.167.2552,046
246250.39.168.0/21250.39.168.1 to 250.39.175.254250.39.175.2552,046
247250.39.176.0/21250.39.176.1 to 250.39.183.254250.39.183.2552,046
248250.39.184.0/21250.39.184.1 to 250.39.191.254250.39.191.2552,046
249250.39.192.0/21250.39.192.1 to 250.39.199.254250.39.199.2552,046
250250.39.200.0/21250.39.200.1 to 250.39.207.254250.39.207.2552,046
251250.39.208.0/21250.39.208.1 to 250.39.215.254250.39.215.2552,046
252250.39.216.0/21250.39.216.1 to 250.39.223.254250.39.223.2552,046
253250.39.224.0/21250.39.224.1 to 250.39.231.254250.39.231.2552,046
254250.39.232.0/21250.39.232.1 to 250.39.239.254250.39.239.2552,046
255250.39.240.0/21250.39.240.1 to 250.39.247.254250.39.247.2552,046
256250.39.248.0/21250.39.248.1 to 250.39.255.254250.39.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses